com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface Ruleflow

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Flow, org.eclipse.emf.common.notify.Notifier, RuleActivity, RuleModelElement

      public interface Ruleflow
      extends Flow

  A representation of the model object 'Ruleflow'.

  The following features are supported:

  - `Version Label`
  - `Effective Date`
  - `Expiration Date`
  - `Description`
  - `Major Version`
  - `Minor Version`
  - `Vocabulary Update Stamp`
  - `Vocabulary`
  - `Work Document Entity`
  See Also:
    `RuleflowPackage.getRuleflow()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns the value of the 'Description' attribute
    `java.util.Date` | `getEffectiveDate()` Returns the value of the 'Effective Date' attribute
    `java.util.Date` | `getExpirationDate()` Returns the value of the 'Expiration Date' attribute
    `int` | `getMajorVersion()` Returns the value of the 'Major Version' attribute
    `int` | `getMinorVersion()` Returns the value of the 'Minor Version' attribute
    `java.lang.String` | `getVersionLabel()` Returns the value of the 'Version Label' attribute
    `org.eclipse.emf.ecore.EPackage` | `getVocabulary()` Returns the value of the 'Vocabulary' reference
    `java.lang.String` | `getVocabularyUpdateStamp()` Returns the value of the 'Vocabulary Update Stamp' attribute
    `org.eclipse.emf.ecore.EClass` | `getWorkDocumentEntity()` Returns the value of the 'Work Document Entity' reference
    `void` | `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute
    `void` | `setEffectiveDate(java.util.Date value)` Sets the value of the '`Effective Date`' attribute
    `void` | `setExpirationDate(java.util.Date value)` Sets the value of the '`Expiration Date`' attribute
    `void` | `setMajorVersion(int value)` Sets the value of the '`Major Version`' attribute
    `void` | `setMinorVersion(int value)` Sets the value of the '`Minor Version`' attribute
    `void` | `setVersionLabel(java.lang.String value)` Sets the value of the '`Version Label`' attribute
    `void` | `setVocabulary(org.eclipse.emf.ecore.EPackage value)` Sets the value of the '`Vocabulary`' reference
    `void` | `setVocabularyUpdateStamp(java.lang.String value)` Sets the value of the '`Vocabulary Update Stamp`' attribute
    `void` | `setWorkDocumentEntity(org.eclipse.emf.ecore.EClass value)` Sets the value of the '`Work Document Entity`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.ruleflow.Flow

      `getConnectorList, getFlowControlList, getName, getStart, getSubflowList, setName, setStart`

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.ruleflow.RuleActivity

      `getDomain, setDomain`

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getVersionLabel

          java.lang.String getVersionLabel()

      Returns the value of the 'Version Label' attribute.

      If the meaning of the 'Version Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Version Label' attribute.
      See Also:
        `setVersionLabel(String)`, `RuleflowPackage.getRuleflow_VersionLabel()`

    - #### setVersionLabel

          void setVersionLabel(java.lang.String value)

      Sets the value of the '`Version Label`' attribute.
      Parameters:
        `value` - the new value of the 'Version Label' attribute.
      See Also:
        `getVersionLabel()`

    - #### getEffectiveDate

          java.util.Date getEffectiveDate()

      Returns the value of the 'Effective Date' attribute.

      If the meaning of the 'Effective Date' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Effective Date' attribute.
      See Also:
        `setEffectiveDate(Date)`, `RuleflowPackage.getRuleflow_EffectiveDate()`

    - #### setEffectiveDate

          void setEffectiveDate(java.util.Date value)

      Sets the value of the '`Effective Date`' attribute.
      Parameters:
        `value` - the new value of the 'Effective Date' attribute.
      See Also:
        `getEffectiveDate()`

    - #### getExpirationDate

          java.util.Date getExpirationDate()

      Returns the value of the 'Expiration Date' attribute.

      If the meaning of the 'Expiration Date' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expiration Date' attribute.
      See Also:
        `setExpirationDate(Date)`, `RuleflowPackage.getRuleflow_ExpirationDate()`

    - #### setExpirationDate

          void setExpirationDate(java.util.Date value)

      Sets the value of the '`Expiration Date`' attribute.
      Parameters:
        `value` - the new value of the 'Expiration Date' attribute.
      See Also:
        `getExpirationDate()`

    - #### getDescription

          java.lang.String getDescription()

      Returns the value of the 'Description' attribute.

      If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Description' attribute.
      See Also:
        `setDescription(String)`, `RuleflowPackage.getRuleflow_Description()`

    - #### setDescription

          void setDescription(java.lang.String value)

      Sets the value of the '`Description`' attribute.
      Parameters:
        `value` - the new value of the 'Description' attribute.
      See Also:
        `getDescription()`

    - #### getWorkDocumentEntity

          org.eclipse.emf.ecore.EClass getWorkDocumentEntity()

      Returns the value of the 'Work Document Entity' reference.

      If the meaning of the 'Work Document Entity' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Work Document Entity' reference.
      See Also:
        `setWorkDocumentEntity(EClass)`, `RuleflowPackage.getRuleflow_WorkDocumentEntity()`

    - #### setWorkDocumentEntity

          void setWorkDocumentEntity(org.eclipse.emf.ecore.EClass value)

      Sets the value of the '`Work Document Entity`' reference.
      Parameters:
        `value` - the new value of the 'Work Document Entity' reference.
      See Also:
        `getWorkDocumentEntity()`

    - #### getMajorVersion

          int getMajorVersion()

      Returns the value of the 'Major Version' attribute.

      If the meaning of the 'Major Version' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Major Version' attribute.
      See Also:
        `setMajorVersion(int)`, `RuleflowPackage.getRuleflow_MajorVersion()`

    - #### setMajorVersion

          void setMajorVersion(int value)

      Sets the value of the '`Major Version`' attribute.
      Parameters:
        `value` - the new value of the 'Major Version' attribute.
      See Also:
        `getMajorVersion()`

    - #### getMinorVersion

          int getMinorVersion()

      Returns the value of the 'Minor Version' attribute.

      If the meaning of the 'Minor Version' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Minor Version' attribute.
      See Also:
        `setMinorVersion(int)`, `RuleflowPackage.getRuleflow_MinorVersion()`

    - #### setMinorVersion

          void setMinorVersion(int value)

      Sets the value of the '`Minor Version`' attribute.
      Parameters:
        `value` - the new value of the 'Minor Version' attribute.
      See Also:
        `getMinorVersion()`

    - #### getVocabularyUpdateStamp

          java.lang.String getVocabularyUpdateStamp()

      Returns the value of the 'Vocabulary Update Stamp' attribute.

      If the meaning of the 'Vocabulary Update Stamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary Update Stamp' attribute.
      See Also:
        `setVocabularyUpdateStamp(String)`, `RuleflowPackage.getRuleflow_VocabularyUpdateStamp()`

    - #### setVocabularyUpdateStamp

          void setVocabularyUpdateStamp(java.lang.String value)

      Sets the value of the '`Vocabulary Update Stamp`' attribute.
      Parameters:
        `value` - the new value of the 'Vocabulary Update Stamp' attribute.
      See Also:
        `getVocabularyUpdateStamp()`

    - #### getVocabulary

          org.eclipse.emf.ecore.EPackage getVocabulary()

      Returns the value of the 'Vocabulary' reference.

      If the meaning of the 'Vocabulary' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary' reference.
      See Also:
        `setVocabulary(EPackage)`, `RuleflowPackage.getRuleflow_Vocabulary()`

    - #### setVocabulary

          void setVocabulary(org.eclipse.emf.ecore.EPackage value)

      Sets the value of the '`Vocabulary`' reference.
      Parameters:
        `value` - the new value of the 'Vocabulary' reference.
      See Also:
        `getVocabulary()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.